commit:     1bc3c06c292b515de249f7dd53a2ad55bc7638a3
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 18 16:59:39 2014 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Tue Mar 18 16:59:39 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/emacs.git;a=commit;h=1bc3c06c

Further fixes to man page installation.

Package-Manager: portage-2.2.8-r1

---
 app-editors/emacs/ChangeLog             |  4 ++++
 app-editors/emacs/emacs-21.4-r24.ebuild |  3 +++
 app-editors/emacs/emacs-22.3-r10.ebuild | 12 ++++++++----
 3 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/app-editors/emacs/ChangeLog b/app-editors/emacs/ChangeLog
index 91ccb49..9952ead 100644
--- a/app-editors/emacs/ChangeLog
+++ b/app-editors/emacs/ChangeLog
@@ -2,6 +2,10 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  18 Mar 2014; Ulrich Müller <[email protected]> emacs-21.4-r24.ebuild,
+  emacs-22.3-r10.ebuild:
+  Further fixes to man page installation.
+
   16 Mar 2014; Ulrich Müller <[email protected]> emacs-18.59-r9.ebuild,
   emacs-21.4-r24.ebuild, emacs-22.3-r10.ebuild, emacs-23.4-r6.ebuild,
   emacs-24.3-r2.ebuild:

diff --git a/app-editors/emacs/emacs-21.4-r24.ebuild 
b/app-editors/emacs/emacs-21.4-r24.ebuild
index ed4459b..c548550 100644
--- a/app-editors/emacs/emacs-21.4-r24.ebuild
+++ b/app-editors/emacs/emacs-21.4-r24.ebuild
@@ -51,6 +51,9 @@ src_prepare() {
        sed -i -e "s:/usr/lib/\([^ ]*\).o:/usr/$(get_libdir)/\1.o:g" \
                "${S}/src/s/gnu-linux.h" || die
 
+       sed -i -e "/^\\.so/s/etags/&-emacs-${SLOT}/" etc/ctags.1 \
+               || die "unable to sed ctags.1"
+
        # custom aclocal.m4 was only needed for autoconf 2.13 and earlier
        rm aclocal.m4
        eaclocal

diff --git a/app-editors/emacs/emacs-22.3-r10.ebuild 
b/app-editors/emacs/emacs-22.3-r10.ebuild
index 87fcaba..bb86749 100644
--- a/app-editors/emacs/emacs-22.3-r10.ebuild
+++ b/app-editors/emacs/emacs-22.3-r10.ebuild
@@ -59,6 +59,9 @@ src_prepare() {
                -e "s:/usr/lib/crtend.o:$(`tc-getCC` 
-print-file-name=crtend.o):g" \
                "${S}"/src/s/freebsd.h || die "unable to sed freebsd.h settings"
 
+       sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" etc/ctags.1 \
+               || die "unable to sed ctags.1"
+
        if ! use alsa; then
                # ALSA is detected even if not requested by its USE flag.
                # Suppress it by supplying pkg-config with a wrong library name.
@@ -156,11 +159,12 @@ src_install () {
 
        # move man pages to the correct place
        local m
-       for m in "${D}"/usr/share/man/man1/* ; do
-               mv "${m}" "${m%.1}-${EMACS_SUFFIX}.1" || die "mv man failed"
-       done
-       mv "${D}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 \
+       mv "${D}"/usr/share/man/man1/{emacs,${EMACS_SUFFIX}}.1 \
                || die "moving emacs man page failed"
+       for m in ctags emacsclient etags; do
+               mv "${D}"/usr/share/man/man1/${m}{,-${EMACS_SUFFIX}}.1 \
+                       || die "moving ${m} man page failed"
+       done
 
        # move info dir to avoid collisions with the dir file generated by 
portage
        mv "${D}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} \

Reply via email to